| Version: 3.3.1

Public Member Functions | List of all members
wxCalculateLayoutEvent Class Reference
Class List by Category » Events

`#include <wx/laywin.h>`

Inheritance diagram for wxCalculateLayoutEvent:
[legend]

## Detailed Description

This event is sent by wxLayoutAlgorithm to calculate the amount of the remaining client area that the window should occupy.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxCalculateLayoutEvent& event)

Event macros:

- EVT_CALCULATE_LAYOUT(func):
  Process a `wxEVT_CALCULATE_LAYOUT` event, which asks the window to take a 'bite' out of a rectangle provided by the algorithm.

##

Library: wxCore
Category: Events

See also
  wxQueryLayoutInfoEvent, wxSashLayoutWindow, wxLayoutAlgorithm.

## Public Member Functions
| wxCalculateLayoutEvent (wxWindowID id=0)
| Constructor. More...
int | GetFlags () const
| Returns the flags associated with this event. More...
wxRect | GetRect () const
| Before the event handler is entered, returns the remaining parent client area that the window could occupy. More...
void | SetFlags (int flags)
| Sets the flags associated with this event. More...
void | SetRect (const wxRect &rect)
| Call this to specify the new remaining parent client area, after the space occupied by the window has been subtracted. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxCalculateLayoutEvent()

wxCalculateLayoutEvent::wxCalculateLayoutEvent | ( | wxWindowID | id = `0` | ) |

Constructor.

## Member Function Documentation

## ◆ GetFlags()

int wxCalculateLayoutEvent::GetFlags | ( |  | ) | const

Returns the flags associated with this event.

Not currently used.

## ◆ GetRect()

wxRect wxCalculateLayoutEvent::GetRect | ( |  | ) | const

Before the event handler is entered, returns the remaining parent client area that the window could occupy.

When the event handler returns, this should contain the remaining parent client rectangle, after the event handler has subtracted the area that its window occupies.

## ◆ SetFlags()

void wxCalculateLayoutEvent::SetFlags | ( | int | flags | ) |

Sets the flags associated with this event.

Not currently used.

## ◆ SetRect()

void wxCalculateLayoutEvent::SetRect | ( | const wxRect & | rect | ) |

Call this to specify the new remaining parent client area, after the space occupied by the window has been subtracted.